Index: inc/core/class.dc.core.php
===================================================================
--- inc/core/class.dc.core.php	(revision 3126)
+++ inc/core/class.dc.core.php	(revision 3138)
@@ -1394,4 +1394,6 @@
 				array('media_video_height','integer',300,
 				'Video height in media manager'),
+				array('media_flash_fallback','boolean',true,
+				'Flash player fallback for audio and video media'),
 				array('nb_post_for_home','integer',20,
 				'Number of entries on first home page'),
Index: inc/core/class.dc.media.php
===================================================================
--- inc/core/class.dc.media.php	(revision 3099)
+++ inc/core/class.dc.media.php	(revision 3138)
@@ -1103,11 +1103,12 @@
 	Returns HTML code for audio player (HTML5 and if possible fallback Flash player)
 
-	@param  type	<b>string</b> 		audio mime type
-	@param	url		<b>string</b>		audio URL to play
-	@param	player	<b>string</b>		Player URL (flash player fallback)
-	@param	args	<b>array</b>		Player parameters (flash player fallback)
+	@param  type		<b>string</b> 		audio mime type
+	@param	url			<b>string</b>		audio URL to play
+	@param	player		<b>string</b>		Player URL (flash player fallback)
+	@param	args		<b>array</b>		Player parameters (flash player fallback)
+	@param  fallback 	<b>boolean</b>		Include Flash player fallback
 	@return	<b>string</b>
 	*/
-	public static function audioPlayer($type,$url,$player=null,$args=null)
+	public static function audioPlayer($type,$url,$player=null,$args=null,$fallback=true)
 	{
 		$audio =
@@ -1115,5 +1116,5 @@
 			'<source src="'.$url.'">';
 
-		if ($type == 'audio/mpeg3') {
+		if ($fallback && $type == 'audio/mpeg3') {
 			// Include Flash player fallback
 			if (!$player) {
@@ -1170,11 +1171,12 @@
 	Returns HTML code for video player (HTML5 and if possible fallback Flash player)
 
-	@param  type	<b>string</b> 		video mime type
-	@param	url		<b>string</b>		video URL to play
-	@param	player	<b>string</b>		Player URL (flash player fallback)
-	@param	args	<b>array</b>		Player parameters (flash player fallback)
+	@param  type		<b>string</b> 		video mime type
+	@param	url			<b>string</b>		video URL to play
+	@param	player		<b>string</b>		Player URL (flash player fallback)
+	@param	args		<b>array</b>		Player parameters (flash player fallback)
+	@param  fallback 	<b>boolean</b>		Include Flash player fallback (if not .flv)
 	@return	<b>string</b>
 	*/
-	public static function videoPlayer($type,$url,$player=null,$args=null)
+	public static function videoPlayer($type,$url,$player=null,$args=null,$fallback=true)
 	{
 		$video = '';
@@ -1198,5 +1200,5 @@
 		}
 
-		if ($type == 'video/x-flv' || $type == 'video/mp4' || $type == 'video/x-m4v')
+		if ($type == 'video/x-flv' || ($fallback && ($type == 'video/mp4' || $type == 'video/x-m4v')))
 		{
 			// Include Flash player fallback
@@ -1256,10 +1258,11 @@
 	Returns HTML code for MP3 player
 
-	@param	url		<b>string</b>		MP3 URL to play
-	@param	player	<b>string</b>		Player URL
+	@param	url			<b>string</b>		MP3 URL to play
+	@param	player		<b>string</b>		Player URL
 	@param	args		<b>array</b>		Player parameters
+	@param  fallback 	<b>boolean</b>		Include Flash player fallback
 	@return	<b>string</b>
 	*/
-	public static function mp3player($url,$player=null,$args=null)
+	public static function mp3player($url,$player=null,$args=null,$fallback=true)
 	{
 		if (!$player) {
@@ -1299,12 +1302,13 @@
 		'<audio controls preload="auto">'.
 		'<source src="'.$url.'" type="audio/mpeg">'.
-		'<object type="application/x-shockwave-flash" '.
-		'data="'.$player.'" '.
-		'width="'.$args['width'].'" height="'.$args['height'].'">'.
-		'<param name="movie" value="'.$player.'" />'.
-		'<param name="wmode" value="transparent" />'.
-		'<param name="FlashVars" value="'.implode('&amp;',$vars).'" />'.
-		__('Embedded Audio Player').
-		'</object>'.
+		($fallback ?
+			'<object type="application/x-shockwave-flash" '.
+			'data="'.$player.'" '.
+			'width="'.$args['width'].'" height="'.$args['height'].'">'.
+			'<param name="movie" value="'.$player.'" />'.
+			'<param name="wmode" value="transparent" />'.
+			'<param name="FlashVars" value="'.implode('&amp;',$vars).'" />'.
+			__('Embedded Audio Player').
+			'</object>' : '').
 		'</audio>';
 	}
Index: inc/dbschema/upgrade.php
===================================================================
--- inc/dbschema/upgrade.php	(revision 3128)
+++ inc/dbschema/upgrade.php	(revision 3138)
@@ -467,12 +467,16 @@
 			}
 
-			if (version_compare($version,'2.9','<'))
+			if (version_compare($version,'2.9','<='))
 			{
 				# Some new settings should be initialized, prepare db queries
 				$strReq = 'INSERT INTO '.$core->prefix.'setting'.
 						' (setting_id,setting_ns,setting_value,setting_type,setting_label)'.
-						' VALUES(\'%s\',\'system\',\'%s\',\'integer\',\'%s\')';
-				$core->con->execute(sprintf($strReq,'media_video_width','400','Media video insertion width'));
-				$core->con->execute(sprintf($strReq,'media_video_height','300','Media video insertion height'));
+						' VALUES(\'%s\',\'system\',\'%s\',\'%s\',\'%s\')';
+				$core->con->execute(
+					sprintf($strReq,'media_video_width','400','integer','Media video insertion width'));
+				$core->con->execute(
+					sprintf($strReq,'media_video_height','300','integer','Media video insertion height'));
+				$core->con->execute(
+					sprintf($strReq,'media_flash_fallback','1','boolean','Flash player fallback for audio and video media'));
 			}
 
